@mixin create-typo($className, $typo-sizes) {
  @each $size-key, $size-values in $typo-sizes {
    @include media-breakpoint-up(#{$size-key}) {
      @each $typo-key, $typo in $size-values {
        .#{$className}-#{$typo-key} {
          @each $attr, $value in $typo {
            @if $attr == 'font-size' {
              #{$attr}: #{$value}rem;
            } @else {
              #{$attr}: #{$value};
            }
          }
        }
      }
    }
  }
}

@mixin square($size) {
  width: $size;
  height: $size;
}

@mixin app-box-shadow {
  box-shadow: 0 0 12px rgba(0, 0, 0, 0.12);
}

@mixin app-border-radius {
  border-radius: 8px;

  @include media-breakpoint-up(md) {
    border-radius: 10px;
  }
}

@mixin app-border-radius-xl {
  border-radius: 12px;

  @include media-breakpoint-up(md) {
    border-radius: 16px;
  }
}

@mixin app-background {
  background: linear-gradient(125deg, rgba(79,216,165,1) 0%, rgba(75,183,139,1) 26%, rgba(137,145,217,1) 69%, rgba(77,89,201,1) 100%);
}